Subject: Re: MPC83xx ipic problem

From: Scott Wood <[email-masked]>
Date: Mon, 30 Jun 2008 14:03:52 -0500

André Schwarz wrote:
> There are two external PCI devices connected (FPGA + miniPCI socket).
> The FPGA is working fine and uses IRQ0 for its PCI_INTA line.
> 
> As soon there's a miniPCI module present and the driver loaded (actually 
> an ath5k WiFi module) the system complains after a while :
> 
> irq 48: nobody cared
> handlers: .... location of the FPGA irq handler
> Disabling IRQ #48
> 
> -> This is weird since the FPGA isn't working at all and IRQ0 is *not* 
> asserted !

Are you *sure* that IRQ0 isn't asserted?  The IPIC seems to think it is.

> Of course the miniPCI irq is routed to a different pin on the CPU 
> (IRQ1).

Perhaps the board wiring is incorrect?

> interrupt-map = <0x5800 0 0 1 &ipic 0x30 0x8      -> FPGA @ IRQ0
>                  0x6000 0 0 1 &ipic 0x11 0x8      -> miniPCI INTA @ IRQ1
>                  0x6000 0 0 2 &ipic 0x11 0x8>;    -> miniPCI INTB @ IRQ1
> 
> Is it legal to use a single irq pin twice ?

Yes.

-Scott